You are not logged in.

#1 2022-11-14 21:39:36

bbballs
Member
Registered: 2022-11-14
Posts: 3

Can't install gems after installing Ruby, get a (LoadError)

When I try to install any gem I get this output:

<internal:/usr/lib/ruby/3.0.0/rubygems/core_ext/kernel_require.rb>:85:in `require': libruby-3.0.so.3.0: cannot open shared object file: No such file or directory - /home/xxx/gems/extensions/x86_64-linux/3.0.0/zlib-2.1.1/zlib.so (LoadError)
	from <internal:/usr/lib/ruby/3.0.0/rubygems/core_ext/kernel_require.rb>:85:in `require'
	from /usr/lib/ruby/3.0.0/rubygems/package.rb:196:in `initialize'
	from /usr/lib/ruby/3.0.0/rubygems/package.rb:161:in `new'
	from /usr/lib/ruby/3.0.0/rubygems/package.rb:161:in `new'
	from /usr/lib/ruby/3.0.0/rubygems/installer.rb:113:in `at'
	from /usr/lib/ruby/3.0.0/rubygems/resolver/specification.rb:100:in `install'
	from /usr/lib/ruby/3.0.0/rubygems/request_set.rb:194:in `block in install'
	from /usr/lib/ruby/3.0.0/rubygems/request_set.rb:182:in `each'
	from /usr/lib/ruby/3.0.0/rubygems/request_set.rb:182:in `install'
	from /usr/lib/ruby/3.0.0/rubygems/commands/install_command.rb:210:in `install_gem'
	from /usr/lib/ruby/3.0.0/rubygems/commands/install_command.rb:226:in `block in install_gems'
	from /usr/lib/ruby/3.0.0/rubygems/commands/install_command.rb:219:in `each'
	from /usr/lib/ruby/3.0.0/rubygems/commands/install_command.rb:219:in `install_gems'
	from /usr/lib/ruby/3.0.0/rubygems/commands/install_command.rb:167:in `execute'
	from /usr/lib/ruby/3.0.0/rubygems/command.rb:323:in `invoke_with_build_args'
	from /usr/lib/ruby/3.0.0/rubygems/command_manager.rb:185:in `process_args'
	from /usr/lib/ruby/3.0.0/rubygems/command_manager.rb:149:in `run'
	from /usr/lib/ruby/3.0.0/rubygems/gem_runner.rb:51:in `run' 

'/home/xxx/gems/extensions/x86_64-linux/3.0.0/zlib-2.1.1/zlib.so' is present, so it is confusing why the error states that it doesn't exist.

There are "libruby.so", "libruby.so.3.0", and "libruby.so.3.0.4" in '/usr/lib', but there is no "libruby-3.0.so.3.0" present.

I tried uninstalling Ruby and everything that depends on it, and then reinstalling, but the error persisted.

Offline

#2 2022-11-14 21:50:01

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,288

Re: Can't install gems after installing Ruby, get a (LoadError)

Do not mix system-wide gem-installations and pacman-packages.

Offline

#3 2022-11-14 22:06:50

bbballs
Member
Registered: 2022-11-14
Posts: 3

Re: Can't install gems after installing Ruby, get a (LoadError)

@ Stefan Husmann

Do not mix system-wide gem-installations and pacman-packages.

I don't think I am installing system-wide gem packages. I followed the installation instructions provided on the Jekyll website, which is meant to prevent system-wide gem installations. The gems should be installing in '~/gems/'. The gem installation command I am using is:

gem install jekyll bundler

There is no privilege escalation.

Last edited by bbballs (2022-11-14 22:07:32)

Offline

#4 2022-11-14 22:16:48

bbballs
Member
Registered: 2022-11-14
Posts: 3

Re: Can't install gems after installing Ruby, get a (LoadError)

Accidental redundant comment.

Last edited by bbballs (2022-11-14 22:21:20)

Offline

#5 2022-11-16 13:41:20

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,288

Re: Can't install gems after installing Ruby, get a (LoadError)

Check if  /home/xxx/gems/extensions/x86_64-linux/3.0.0/zlib-2.1.1/zlib.so is readable and ownd by your user, and use "file" command to see if it is really a shared lib.

Offline

Board footer

Powered by FluxBB